package com.ruoyi.enums;

import java.util.Arrays;

/**
 * 登陆类型枚举
 * @Author liwenlong
 */
public enum LoginEnums {

    /**
     * 验证码
     */
    code_login(1, "验证码"),

    /**
     * 密码
     */
    pwd_login(2, "密码"),


    /**
     * 一键登录
     */
    one_click_login(3, "一键登录"),

    /**
     * 微信登录
     */
    wechat_login(4, "微信登录"),

    /**
     * 小程序登录
     */
    applet_login(5, "小程序登录"),

    /**
     * 苹果登录
     */
    apple_login(6, "苹果登录"),

    ;

    private final Integer code;
    private final String name;

    public static String getName(Integer code) {
        return getLoginEnums(code).name;
    }


    public static LoginEnums getLoginEnums(Integer code) {
        return Arrays.stream(LoginEnums.values()).filter(c->c.getCode().equals(code)).findAny().get();
    }

    LoginEnums(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


}
